/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: AccessibleBrowseBoxObjType.hxx,v $
 * $Revision: 1.3 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/


#ifndef _SVTOOLS_ACCESSIBLEBROWSEBOXOBJTYPE_HXX
#define _SVTOOLS_ACCESSIBLEBROWSEBOXOBJTYPE_HXX

// ============================================================================

namespace svt {

// ============================================================================

/** This enumeration contains a constant for each kind of accessible object of
    a BrowseBox. */
enum AccessibleBrowseBoxObjType
{
    BBTYPE_BROWSEBOX,           /// The BrowseBox itself.
    BBTYPE_TABLE,               /// The data table.
    BBTYPE_ROWHEADERBAR,        /// The row header bar ("handle column").
    BBTYPE_COLUMNHEADERBAR,     /// The horizontal column header bar.
    BBTYPE_TABLECELL,           /// A cell of the data table.
    BBTYPE_ROWHEADERCELL,       /// A cell of the row header bar.
    BBTYPE_COLUMNHEADERCELL,    /// A cell of the column header bar.
    BBTYPE_CHECKBOXCELL         /// A cell with a checkbox.
};

// ============================================================================

} // namespace svt

// ============================================================================

#endif

